Imports IntraSell_DLL

Public Class ucTasten
    Public Event EinstellungenGeaendert()

    Private Sub ucTasten_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Try
            '"Tasten"
            ButtonArtikelTaste.Height = VarValue_Default(BARRECHNUNG_RESTAURANT_KASSA_BUTTON_HOEHE, 50)
            ButtonArtikelTaste.Width = VarValue_Default(BARRECHNUNG_RESTAURANT_KASSA_BUTTON_BREITE, 100)
            ButtonArtikelTaste.Font = New Font("Arial", VarValue_Default(BARRECHNUNG_RESTAURANT_KASSA_SCHRIFT_GROESSE, 10))

        Catch ex As Exception

        End Try

    End Sub

#Region "Tasten"
    Private Sub ButtonHoehePlus_Click(sender As Object, e As EventArgs) Handles ButtonHoehePlus.Click
        ButtonArtikelTaste.Height = ButtonArtikelTaste.Height + 1
        SetVarValue(BARRECHNUNG_RESTAURANT_KASSA_BUTTON_HOEHE, ButtonArtikelTaste.Height)
        RaiseEvent EinstellungenGeaendert()
    End Sub

    Private Sub ButtonHoeheMinus_Click(sender As Object, e As EventArgs) Handles ButtonHoeheMinus.Click
        ButtonArtikelTaste.Height = ButtonArtikelTaste.Height - 1
        SetVarValue(BARRECHNUNG_RESTAURANT_KASSA_BUTTON_HOEHE, ButtonArtikelTaste.Height)
        RaiseEvent EinstellungenGeaendert()
    End Sub

    Private Sub ButtonBreiteMinus_Click(sender As Object, e As EventArgs) Handles ButtonBreiteMinus.Click
        ButtonArtikelTaste.Width = ButtonArtikelTaste.Width - 1
        SetVarValue(BARRECHNUNG_RESTAURANT_KASSA_BUTTON_BREITE, ButtonArtikelTaste.Width)
        RaiseEvent EinstellungenGeaendert()
    End Sub

    Private Sub ButtonBreitePlus_Click(sender As Object, e As EventArgs) Handles ButtonBreitePlus.Click
        ButtonArtikelTaste.Width = ButtonArtikelTaste.Width + 1
        SetVarValue(BARRECHNUNG_RESTAURANT_KASSA_BUTTON_BREITE, ButtonArtikelTaste.Width)
        RaiseEvent EinstellungenGeaendert()
    End Sub
    Private Sub ButtonFontSizePlus_Click(sender As Object, e As EventArgs) Handles ButtonFontSizePlus.Click
        ButtonArtikelTaste.Font = New Font("Arial", ButtonArtikelTaste.Font.Size + 1)
        SetVarValue(BARRECHNUNG_RESTAURANT_KASSA_SCHRIFT_GROESSE, ButtonArtikelTaste.Font.Size)
        RaiseEvent EinstellungenGeaendert()
    End Sub

    Private Sub ButtonFontSizeMinus_Click(sender As Object, e As EventArgs) Handles ButtonFontSizeMinus.Click
        ButtonArtikelTaste.Font = New Font("Arial", ButtonArtikelTaste.Font.Size - 1)
        SetVarValue(BARRECHNUNG_RESTAURANT_KASSA_SCHRIFT_GROESSE, ButtonArtikelTaste.Font.Size)
        RaiseEvent EinstellungenGeaendert()
    End Sub

#End Region

    Private Sub ButtonArtikelTaste_Click(sender As Object, e As EventArgs) Handles ButtonArtikelTaste.Click

    End Sub


End Class
